Plack::Handler::Feersum(3pm)

NAME
Plack::Handler::Feersum - plack adapter for Feersum

SYNOPSIS
    plackup -s Feersum app.psgi
    plackup -s Feersum --listen localhost:8080 app.psgi
    plackup -s Feersum --pre-fork=4 -MMy::App -L delayed app.psgi

DESCRIPTION
This is a stub module that allows Feersum to be loaded up under "plackup" and other Plack tools. Set $ENV{PLACK_SERVER} to 'Feersum' or use the -s parameter to plackup to use Feersum under Plack.

  Experimental Features
A "--pre-fork=N" parameter can be specified to put feersum into pre-forked mode where N is the number of child processes. The "--preload-app" parameter that Starlet supports isn't supported yet. The fork is run immediately after startup and after the app is loaded (i.e. in the run() method).

METHODS

assign_request_handler($app)
    Assigns the PSGI request handler to Feersum.

    Also sets up a SIGTERM handler to call the quit() method so that Plack::Loader::Restarter will work.

SEE ALSO
Most of the functionality is in Feersum::Runner (the base class)

AUTHOR
Jeremy Stashewsky, "stash@cpan.org"

COPYRIGHT AND LICENSE
Copyright (C) 2010 by Jeremy Stashewsky & Socialtext Inc.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.7 or, at your option, any later version of Perl 5 you may have available.